#include <io.h>
;******************************************************************************
;   MSP-FET430P140 Demo BasicClock Output buffered SMCLK, ACLK and MCLK  
;     
;   Description; Output buffered MCLK, SMCLK and ACLK.  
;   ACLK = LFXT1 = 32768, MCLK = DCO Max, SMCLK = XT2 
;   //** XTAL's REQUIRED - NOT INSTALLED ON FET **//
;
;                 MSP430F149
;             -----------------
;         /|\|              XIN|-  
;          | |                 | 32k 
;          --|RST          XOUT|-
;            |                 |
;            |             X2IN|-  
;            |                 | XTAL (455k - 8Mhz) 
;            |RST         X2OUT|-
;            |                 |
;            |             P5.4|-->MCLK =  DCO Max
;            |             P5.5|-->SMCLK = XT2
;            |             P5.6|-->ACLK = 32kHz
;
;
;   M.Buccini
;   Texas Instruments, Inc
;   January 2002
;   Adapted for mspgcc by Steve Underwood <steveu@coppice.org>
;******************************************************************************
            .section    .text
RESET:      mov.w   #0xA00,R1               ; Initialize 'F149 stackpointer
StopWDT:    mov.w   #WDTPW+WDTHOLD,&WDTCTL  ; Stop WDT
SetupBC:    mov.b   #0xE0,DCOCTL            ; Max DCO
            mov.b   #0x07,&BCSCTL1          ; XT2on on, max RSEL
                                            ;
            bis.b   #SELS,BCSCTL2           ; SMCLK = XT2
SetupP5:    bis.b   #0x70,&P5DIR            ; P5.6,5,4 output
            bis.b   #0x70,&P5SEL            ; P5.6,5,4 option
                                            ;													  
Mainloop:   jmp      Mainloop               ;
                                            ;
;----------------------------------------------------------------------------- 
;           Interrupt Vectors Used MSP430x13x/14x         
;----------------------------------------------------------------------------- 
            .section    .vectors
            .org    0x1E,0xFF               ; MSP430 RESET Vector
            .word   RESET                   ; 
