#include <io.h>
;******************************************************************************
;   MSP-FET430P410 Demo - Software Toggle P5.1 
;
;   Description; Toggle P1.0 by xor'ing P0.1 inside of a software loop.
;   ACLK = n/a, MCLK = SMCLK = default DCO
;
;                 MSP430F413
;             -----------------
;         /|\|              XIN|-  
;          | |                 |
;          --|RST          XOUT|-
;            |                 |
;            |             P5.1|-->LED
;
;   M.Buccini
;   Texas Instruments, Inc
;   January 2002
;   Adapted for mspgcc by Steve Underwood <steveu@coppice.org>
;******************************************************************************
            .section    .text
RESET:      mov.w   #0x300,R1               ; Initialize stackpointer
StopWDT:    mov.w   #WDTPW+WDTHOLD,&WDTCTL  ; Stop WDT
SetupP1:    bis.b   #0x02,&P5DIR            ; P5.1 output
                                            ;				  
Mainloop:   xor.b   #0x02,&P5OUT            ; Toggle P5.1
Wait:       mov.w   #050000,R15             ; Delay to R15
L1:         dec.w   R15                     ; Decrement R15
            jnz     L1                      ; Delay over?
            jmp     Mainloop                ; Again
                                            ;
;----------------------------------------------------------------------------- 
;           Interrupt Vectors Used MSP430F41x         
;----------------------------------------------------------------------------- 
            .section    .vectors
            .org    0x1E,0xFF               ; MSP430 RESET Vector
            .word   RESET                   ; 
