#include <io.h>
;******************************************************************************
;   MSP-FET430P440 Demo - FLL+ Output MCLK, SMCLK, ACLK Using 32k XTAL 
;
;   Description; Output the system MCLK and ACLK.
;   ACLK = LFXT1 = 32768, MCLK = SMCLK = DCO = 32xACLK 
;   //*External XTALs required and not installed on FET*//	  
;
;                 MSP430F449
;             -----------------
;         /|\|              XIN|-  
;          | |                 | 32k 
;          --|RST          XOUT|-
;            |                 |
;            |            XT2IN|-  
;            |                 | XTAL (455k - 8Mhz) - add caps as needed
;            |RST        XT2OUT|-
;            |                 |
;            |             P1.1|-->MCLK  = 1048576
;            |             P1.4|-->SMCLK = 1048576
;            |             P1.5|-->ACLK  = 32kHz
;
;
;   M.Buccini
;   Texas Instruments, Inc
;   February 2002
;   Adapted for mspgcc by Steve Underwood <steveu@coppice.org>
;******************************************************************************
            .section    .text
RESET:      mov.w   #0xA00,R1               ; Initialize '449 stackpointer
StopWDT:    mov.w   #WDTPW+WDTHOLD,&WDTCTL  ; Stop WDT
SetupFLL:   bis.b   #XCAP14PF,&FLL_CTL0     ; Configure load caps
SetupP1:    bis.b   #0x32,&P1DIR            ; P1.1, P1.4 P1.5 output direction
            bis.b   #0x32,&P1SEL            ; P1.1, P1.4 P1.5 option select
                                            ;			  
Mainloop:   jmp     Mainloop                ; 
                                            ;
;----------------------------------------------------------------------------- 
;           Interrupt Vectors Used MSP430x44x         
;----------------------------------------------------------------------------- 
            .section    .vectors
            .org    0x1E,0xFF               ; MSP430 RESET Vector
            .word   RESET                   ; 
